Bug 429414 - Review Request: scapy - Interactive packet manipulation tool and network scanner
Summary: Review Request: scapy - Interactive packet manipulation tool and network scanner
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-19 16:06 UTC by Devan Goodwin
Modified: 2011-06-06 12:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 14:11:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Devan Goodwin 2008-01-19 16:06:00 UTC
Spec URL: http://dgoodwin.fedorapeople.org/scapy.spec
SRPM URL: http://dgoodwin.fedorapeople.org/scapy-1.1.1-1.fc8.src.rpm

Description: 

Scapy is a powerful interactive packet manipulation program built on top of the Python interpreter. It can be used to forge or decode packets of a wide number of protocols, send them over the wire, capture them, match requests and replies, and much more.

rpmlint output:

(dev@kramer)[~/rpmbuild] % rpmlint SRPMS/scapy-1.1.1-1.fc8.src.rpm 
(dev@kramer)[~/rpmbuild] % rpmlint RPMS/noarch/scapy-1.1.1-1.fc8.noarch.rpm 
scapy.noarch: W: file-not-utf8 /usr/share/doc/scapy-1.1.1/changelog.txt
(dev@kramer)[~/rpmbuild] %

Comment 1 Parag AN(पराग) 2008-01-21 04:52:36 UTC
1)I don't think you should include changelog.txt. Remove it from installing.
2) Because of python dependency missing on rpm-build command, following error
occurred in build.log. So for current scenario, good to add python as BR.

/usr/lib/rpm/pythondeps.sh: line 8: python: command not found



Comment 2 Devan Goodwin 2008-01-21 13:35:35 UTC
Spec URL: http://dgoodwin.fedorapeople.org/scapy.spec
SRPM URL: http://dgoodwin.fedorapeople.org/scapy-1.1.1-2.fc8.src.rpm

Added to spec file:

BuildRequires: python >= 2.3

Removed changelog.txt:

(root@kramer)[~dev/rpmbuild/RPMS/noarch] # ls /usr/share/doc/scapy-1.1.1/
AUTHORS  changelog  COPYING  README
(root@kramer)[~dev/rpmbuild/RPMS/noarch] # 




Comment 3 Parag AN(पराग) 2008-01-21 14:27:06 UTC
you need to either use macros or not. e.g. for install you used %{__install} but
same is not valid for rm. also don't mix style of macros

see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf




Comment 4 Devan Goodwin 2008-01-21 16:47:42 UTC
Spec URL: http://dgoodwin.fedorapeople.org/scapy.spec
SRPM URL: http://dgoodwin.fedorapeople.org/scapy-1.1.1-3.fc8.src.rpm

Replaced usage of $RPM_BUILD_ROOT with %{buildroot}.


Comment 5 Parag AN(पराग) 2008-01-22 05:45:07 UTC
any reason for not using macro for rm command?
you used %{__install} then you should also use %{__rm} which will look like then
%{__rm} -rf %{buildroot}


Comment 6 Parag AN(पराग) 2008-01-22 05:52:05 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8ac720a1bea4304797c713ef1ed063f1  scapy-1.1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

SHOULD: 
  take care of above comment while importing this package in CVS.

APPROVED.


Comment 7 Devan Goodwin 2008-01-22 16:35:27 UTC
New Package CVS Request
=======================
Package Name: scapy
Short Description: Interactive packet manipulation tool and network scanner
Owners: dgoodwin
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 8 Kevin Fenzi 2008-01-22 23:41:46 UTC
cvs done.

Comment 9 Devan Goodwin 2008-01-23 14:11:40 UTC
Imported into cvs, built successfully and pushed to F-7 and F-8.

Closing as NEXTRELEASE.

Comment 10 Devan Goodwin 2011-06-06 12:11:03 UTC
Package Change Request
======================
Package Name: scapy
New Branches: EL-5 EL-6
Owners: dgoodwin tjikkun

Comment 11 Gwyn Ciesla 2011-06-06 12:27:09 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.